List Prepaid Commits
curl --request GET \
--url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commitsimport requests
url = "https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"contract": 123,
"entity_name": "<string>",
"product_name": "<string>",
"name": "<string>",
"total_value": 0,
"remaining_value": 0,
"start_date": "2023-12-25",
"status": "ACTIVE",
"is_invoiced": true,
"invoice": 123,
"department_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"invoice_basis": "fixed_commitment",
"billing_cadence": "one_time",
"billing_timing": "advance",
"first_invoice_date": "2023-12-25",
"billing_payment_term": 123,
"entity": 123,
"product": 123,
"description": "<string>",
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"discount_percentage": 50,
"rate": 50000000000000,
"expiration_date": "2023-12-25",
"priority": -1,
"subledger": 123,
"overage_invoice_cadence": "monthly",
"auto_send_overage_invoices": true,
"overage_invoice_start_month": "2023-12-25",
"department": 123,
"tags": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Revenue Recognition
List Prepaid Commits
GET
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
prepaid-commits
List Prepaid Commits
Path Parameters
Query Parameters
Number of results to return per page.
The initial index from which to return the results.